Subject: Re: NHRP question

From: "JAMES V. LUCIANI" <[email-masked]>
Date: Wed, 19 Nov 1997 11:49:34 -0500

The answer is yes (as Joel previously pointed out).  It gets there anyway
because you place your own L3 addrss in the destiantion address of the NHRP
packet if you are an NHC.  You do that since you do not know the NHS's L3
address.  The cost is a few extra hops for the registration and potentially
the resolution requests.  As Bert points out, if you are doing IP over ATM
you would really use your default router IP address most the time so this
situation is a real corner case.
--JIm
At 08:32 AM 11/19/97 PST, Yakov Rekhter wrote:
>Bert,
>
>> > >From the latest NHRP I-D:
>> > 
>> >    If an NBMA technology offers a group, an anycast, or a multicast
>> >    addressing feature then the NHC may be configured with such an
>> >    address which would be assigned to the appropriate NHSs.
>> > 
>> > Can all the NHSs within an ATM network be assigned the same anycast
>> > (multicast) address ? And if not, then what are the constraints ?
>> 
>> The answer should be yes, but perhaps this doesn't really matter?
>> What you want is to find your NHS, I assume. But this presumes that
>> you're using IP over ATM, which must mean that you're sending an
>> NHRP Resolution Request over the routed path. Which requires that
>> the NHS be your default router or any other _local_ router your
>> routed path might take you over. No?
>
>When an NHC sends an NHRP Request to an anycast (multicast) address,
>can some other NHS that isn't the NHC's local router receive the Request ?
>
>Yakov.
>

---

From: [email-masked]
Date: Thu, 20 Nov 1997 12:56:28 -0800 (PST)

Rajeev,

>Even if the NHC establishes a connection to the "wrong" NHS, the
>NHS will typically forward the resolution request to the correct
>NHS (assuming that L3 routing is working correctly and the routing
>tables in routers/NHSs are consistent) which will then send the
>resolution reply to the NHC.

I've got the same question as Yakov - what is the definition of 
"correct" NHS and is there a single one or potentially many 
correct ones? 

For a host configured with a default route, the correct NHS 
would seem to be the one colocated with the default router. However 
the anycast mechanism won't identify that. At best it would seem you 
get an NHS in a router on the same subnet/LIS as the host, but not 
necessarily the host's default router. NHRP Resolution Requests sent 
to the non-default router could bypass any controls or restrictions 
put in place on the default router. Thus the old rule that
"NHRP follows the routed path" isn't strictly true anymore.
Is this a valid conclusion ?

Bryan